{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "AAA",
    "ABA",
    "AAA"
  ],
  "key": {  
	"A": {
      "tag": "forge:foods/meat/raw"
    }, 
	"B": {
      "item": "minecraft:book"
    }
  },
  "result": {
    "item": "dubl:agri_research_kit"
  }
}